11 Replies Latest reply on Dec 19, 2007 1:15 PM by unic8

    Flex 3 beta 3 + Eclipse (Europe) 3.3+ not working

    unic8
      Hi,

      I just installed it about 10 times with a "new & clean" Eclipse installation and all mentioned cleaning system preparations (e.g. Zero G Registry...). Installation of FB 3 beta 3 was working without any errors. After I launch Eclipse with the "Adobe Flex Launcher" from the menu it also opens as expected but... when I try to do an action which is based on the Flex plugin an error dialog comes up and tells me s.th. like (depending on the action) "com.adobe.flex...... cannot be loaded".
      After several standard installations I also tried to copy all files from "features" and "plugins" of the Flex installation into the Eclipse folders but same problems.

      Any help would be fantastic!
      Thanks in advance!

      Erik
        • 1. Re: Flex 3 beta 3 + Eclipse (Europe) 3.3+ not working
          sharonma Level 1
          Hi Erik,

          Which platform are you on? Are you using a new workspace? Also, any chances you have a bad downloaded installer? Have you tried re-download the installer?

          thanks,
          Sharon
          • 2. Flex 3 beta 3 + Eclipse (Europe) 3.3+ not working
            unic8 Level 1
            Hi sharonma,

            thanks for the reply. Here are the facts:

            Operating System: Microsoft Windows Vista - German
            Eclipse: 3.3.1.1 - Europe
            Privilegs: Administrator

            I downloaded Eclipse and Flex Builder several times and also "cleaned" my system (uninstalling FB, delete "VirtualStorage", "Zero G Registry", etc...). I just get it working with Eclipse 3.2.2 (+ main updates) but it'd nice if there is a chance with 3.3+.

            Regards
            Erik
            • 3. Re: Flex 3 beta 3 + Eclipse (Europe) 3.3+ not working
              sharonma Level 1
              Hi Erik,

              Searching through our bugbase, I found this bug which sounds like the issue you're having:
              Plugin fails to install in 3.3.1.1:
              http://bugs.adobe.com/jira/browse/FB-11336

              thanks,
              Sharon
              • 4. Flex 3 beta 3 + Eclipse (Europe) 3.3+ not working
                unic8 Level 1
                Hi sharonma,

                thanks for the fast feedback. I just read the bug report and it seems to be very close to mine but in my case there is at least one constitutive difference:

                The installer detects the eclipse folder perfectly and never warns me in any case.

                Because of this I'm just very confused... the official system requirements recommend 3.3+ for users who run Windows Vista.

                If I understand the bug report correctly a solution will be available at the next release (RC) of Flex Builder...? This would be hard because of the undefined timeline.

                Thanks again!
                Erik
                • 5. Re: Flex 3 beta 3 + Eclipse (Europe) 3.3+ not working
                  sharonma Level 1
                  Hi Erik,

                  I'm sorry that I've overlooked your problem as an installer problem. Actually, I just tried with a newly downloaded copy of Eclipse 3.3.1.1 on Vista Business and I don't see any problems with the following actions:
                  - Launch the FB 3 Beta 3 Plugin with Eclipse 3.3.1.1 via the Start menu.
                  - Switch to Flex Developement perspective.
                  - Create a new basic Flex project in default location.
                  - Drag and drop a button to the new main MXML Application.
                  - Save the new main MXML Application.
                  - Run the new main MXML Application.

                  thanks,
                  Sharon
                  • 6. Re: Flex 3 beta 3 + Eclipse (Europe) 3.3+ not working
                    unic8 Level 1
                    Hi sharonma,

                    now I'm really confused... if you read my first post correctly you'd know that I used the "Adobe Flex Launcher" => Start menu and that any actions depending on the Flex Builder plugin would fail with with an alert dialog and a message like "com.adobe.flex...... cannot be loaded".

                    Regards
                    Erik
                    • 7. Re: Flex 3 beta 3 + Eclipse (Europe) 3.3+ not working
                      sharonma Level 1
                      Hi Erik,

                      Sorry for the confusion. The bug I mentioned (FB-11336) was that if you install Eclipse 3.3.1 and update to Eclipse 3.3.1.1 within Eclipse (via Help-> Software Updates-> Find and Install), then it fails to install FB Plugin. However, looks like you're installing FB Plugin to Eclipse 3.3.1.1 directly and you didn't have any install problems.

                      I meant I tried it on one of our Vista machines and I was unable to reproduce your problem, i.e. FB is installed fine on Eclipse 3.3.1.1, it launched fine and I didn't get any errors when performing the basic actions as in my last post. Some of us are using FB Plugin 3.3.1 on Vista but so far we haven't seen the errors you encountered.

                      If you're using the same workspace as older FB builds, there may be some problems. Have you tried to launch FB 3 beta 3 in a new workspace? You can switch to a new workspace via File-> Switch Workspace.

                      thanks,
                      Sharon
                      • 8. Re: Flex 3 beta 3 + Eclipse (Europe) 3.3+ not working
                        unic8 Level 1
                        Hi sharonma,

                        ok... thanks for the time you spent on this. I understand your point and hopefully I can show you mine. Maybe a chronological description helps to reproduce the error.

                        I just used Eclipse 3.2.2 with Flex Builder 3 beta 2 for a few weeks and (nearly - expect some reported bugs and the already known memory leak... about 1 gb usage) everything worked fine for me. When I heard from the release of FB 3 beta 3 I just downloaded it and also a brand new copy of Eclipse 3.3.1.1 (Europe). While downloading these two large files I uninstalled FB 3 beta 2 first and after finishing deleted the complete Eclipse folder. I also cleaned the "VirtualStorage" where Eclipse writes some files into and delete the "Zero G Registry" file. After unpacking Eclipse 3.3.1.1 I opened the FB 3 beta 3 installer and proceeded without having any errors or warnings. So I got a clean Eclipse workspace with the FB plugin... anyway I got the before mentioned errors inside of Eclipse.

                        I'm not an Eclipse guru but I feel very familiar with it and it's basic functionalities. Switching the workspace would only help if I already had one in an existing Eclipse.

                        Could it be that FB 3 beta 2 has some remaining "hidden" (after uninstallation) files, folders or registry nodes which produces these errors?

                        Regards
                        Erik
                        • 9. Re: Flex 3 beta 3 + Eclipse (Europe) 3.3+ not working
                          sharonma Level 1
                          Hi Erik,

                          When you used FB 3 Beta 2, it wrote out some settings (or config info) to the workspace folder. And when you uninstalled the FB 3 Beta 2 Plugin build, these settings (or config info) aren't deleted in the workspace folder. If you then install FB 3 Beta 3 Plugin build and point it to the same workspace folder, there maybe be problems. When launching a new copy of Eclipse (with or without FB Plugin), it'd always point to the default workspace (e.g. C:\Documents and Settings\<username>\workspace.) I'd recommand to use a new workspace folder for FB 3 Beta 3 and then import the old projects from the old workspace folder. Or you could try the following to clean your workspace and projects:
                          1. Quit FB. Look in your Eclipse install directory for eclipse.ini.
                          2. Open eclipse.ini in a text editor and add one line to the top of the file:
                          -clean
                          3. Save the file and launch FB. This may fix your problems.
                          4. Quit FB. Edit the eclipse.ini file again and remove the -clean option. Save the file. You should be OK now.
                          5. For the projects that you see the error, you may need to clean each of them (Project-> Clean...)

                          thanks,
                          Sharon
                          • 10. Flex 3 beta 3 + Eclipse (Europe) 3.3+ not working
                            unic8 Level 1
                            Hi sharonma,

                            sorry... maybe my words are just confusing you ;-)
                            I already wrote that I did NOT use an existing Eclipse.
                            Here's my text from above again:

                            "... While downloading these two large files I uninstalled FB 3 beta 2 first and after finishing deleted the complete Eclipse folder ..."

                            I also deleted the folder ".metadata" in my separate workspace folder.
                            I think it is not a thing of cleaning up Eclipse... sorry!

                            Thanks anyway!
                            Erik
                            • 11. Flex 3 beta 3 + Eclipse (Europe) 3.3+ not working
                              unic8 Level 1
                              Yippee! I got it!!!... or better WE got it!!!

                              Your tip with "-clean" was a part of it... so take a seat and read this:

                              I did my 21. try on installing it... I already got Eclipse 3.2 working with FB 3 beta 3 but my first choice would be with Eclipse 3.3.1.1... and I won!

                              After uninstalling FB 3 beta 3 and deleting Eclipse folder and system cleaning I unpacked Eclipse and reinstalled FB 3 beta 3. Here is what I found:

                              - After unpacking Eclipse the "eclipse.ini" does only contain some standard parameters
                              - I started Eclipse once and defined my specific workspace folder.
                              - While installing FB 3 beta 3 the installer adds some special parameters to the "eclipse.ini"... why this is happening you guys from Adobe should know, don't you ;-)
                              - One of the special parameters added while installation was "-CLEAN"
                              - I just removed the parameter from the file and started FB 3 beta 3 successfully

                              Now everything comes to a very clear end... for sure Eclipde throws errors like "com.adobe.... not found" everytime I start Eclipse it cleans itself from all and also the Flex Builder plugin modules!!!

                              I hope this bug report is good enough and helps many people out there who should ever have the same problem.

                              Thanks for you investigation in solving my problem!

                              Regards
                              Erik